MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000522luatexfeature requestpublic2010-11-22 10:152018-06-29 14:37
ReporterHans Hagen 
Assigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Versionsome day (> v 1)Fixed in Version1.10.0 
Summary0000522: token.write()
Descriptionthis function can be used mixed with the regular tex.*print functions and pushes the token in the input stack (this can save time when flushing e.g. \somecommand
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001261)
Hans Hagen (manager)
2014-03-30 11:47

the write-to-tex code is now complicated by old multiple instance code and can be simplified (no need tot multiple nested ropes) ... a write note and write tok can be part of that; after taco has redone the rope code i'll look into that (done some experiments but the current code makes it too complex) ... also done: some experiments with letting lua do the concat
(0001480)
Hans Hagen (manager)
2015-10-24 21:27

variant of token writer
(0001694)
Hans Hagen (manager)
2018-02-25 17:16

very low priority
(0001697)
Hans Hagen (manager)
2018-06-29 14:37

print function accept token

- Issue History
Date Modified Username Field Change
2010-11-22 10:15 Hans Hagen New Issue
2010-11-22 10:15 Hans Hagen Status new => assigned
2010-11-22 10:15 Hans Hagen Assigned To => Taco
2014-03-30 11:47 Hans Hagen Note Added: 0001261
2015-10-24 21:26 Hans Hagen Assigned To Taco => Hans Hagen
2015-10-24 21:27 Hans Hagen Note Added: 0001480
2015-10-25 11:40 Hans Hagen Target Version 0.80.0 => 0.85.0
2015-11-11 11:42 Hans Hagen Target Version 0.85.0 => 0.90.0
2016-03-10 17:23 Hans Hagen Target Version 0.90.0 => 0.95.0
2016-09-12 13:31 Hans Hagen Target Version 0.95.0 => some day (> v 1)
2018-02-25 17:16 Hans Hagen Note Added: 0001694
2018-06-29 14:37 Hans Hagen Note Added: 0001697
2018-06-29 14:37 Hans Hagen Status assigned => closed
2018-06-29 14:37 Hans Hagen Resolution open => fixed
2018-06-29 14:37 Hans Hagen Fixed in Version => 1.10.0


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker